src/fvm/fvm_periodicity.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions | Variables
fvm_periodicity.h File Reference
`#include "cs_defs.h"`
`#include "fvm_defs.h"`
Include dependency graph for fvm_periodicity.h:

Go to the source code of this file.

## Enumerations
enum | fvm_periodicity_type_t { FVM_PERIODICITY_NULL, FVM_PERIODICITY_TRANSLATION, FVM_PERIODICITY_ROTATION, FVM_PERIODICITY_MIXED }

## Functions
fvm_periodicity_t * | fvm_periodicity_create (double equiv_tolerance)
fvm_periodicity_t * | fvm_periodicity_destroy (fvm_periodicity_t *this_periodicity)
int | fvm_periodicity_get_n_transforms (const fvm_periodicity_t *this_periodicity)
int | fvm_periodicity_get_n_levels (const fvm_periodicity_t *this_periodicity)
void | fvm_periodicity_get_tr_level_idx (const fvm_periodicity_t *this_periodicity, int tr_level_index[4])
int | fvm_periodicity_add_by_matrix (fvm_periodicity_t *this_periodicity, int external_num, fvm_periodicity_type_t type, double matrix[3][4])
int | fvm_periodicity_add_translation (fvm_periodicity_t *this_periodicity, int external_num, const double translation[3])
int | fvm_periodicity_add_rotation (fvm_periodicity_t *this_periodicity, int external_num, double angle, const double axis[3], const double invariant_point[3])
int | fvm_periodicity_get_transform_id (const fvm_periodicity_t *this_periodicity, int external_num, int direction)
fvm_periodicity_type_t | fvm_periodicity_get_type (const fvm_periodicity_t *this_periodicity, int tr_id)
int | fvm_periodicity_get_reverse_id (const fvm_periodicity_t *this_periodicity, int tr_id)
void | fvm_periodicity_get_parent_ids (const fvm_periodicity_t *this_periodicity, int tr_id, int parent_ids[2])
void | fvm_periodicity_get_components (const fvm_periodicity_t *this_periodicity, int tr_id, int component_ids[3])
int | fvm_periodicity_get_equiv_id (const fvm_periodicity_t *this_periodicity, int tr_id)
void | fvm_periodicity_get_matrix (const fvm_periodicity_t *this_periodicity, int tr_id, double matrix[3][4])
void | fvm_periodicity_combine (fvm_periodicity_t *this_periodicity, int abort_on_error)
void | fvm_periodicity_dump (const fvm_periodicity_t *this_periodicity)

## Variables
const char * | fvm_periodicity_type_name []

## Enumeration Type Documentation

enum fvm_periodicity_type_t

Enumerator
FVM_PERIODICITY_NULL |
FVM_PERIODICITY_TRANSLATION |
FVM_PERIODICITY_ROTATION |
FVM_PERIODICITY_MIXED |

## Function Documentation

int fvm_periodicity_add_by_matrix | ( | fvm_periodicity_t * | this_periodicity,
|  | int | external_num,
|  | fvm_periodicity_type_t | type,
|  | double | matrix[3][4]
| ) |  |

int fvm_periodicity_add_rotation | ( | fvm_periodicity_t * | this_periodicity,
|  | int | external_num,
|  | double | angle,
|  | const double | axis[3],
|  | const double | invariant_point[3]
| ) |  |

int fvm_periodicity_add_translation | ( | fvm_periodicity_t * | this_periodicity,
|  | int | external_num,
|  | const double | translation[3]
| ) |  |

void fvm_periodicity_combine | ( | fvm_periodicity_t * | this_periodicity,
|  | int | abort_on_error
| ) |  |

fvm_periodicity_t* fvm_periodicity_create | ( | double | equiv_tolerance | ) |

fvm_periodicity_t* fvm_periodicity_destroy | ( | fvm_periodicity_t * | this_periodicity | ) |

void fvm_periodicity_dump | ( | const fvm_periodicity_t * | this_periodicity | ) |

void fvm_periodicity_get_components | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | tr_id,
|  | int | component_ids[3]
| ) |  |

int fvm_periodicity_get_equiv_id | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | tr_id
| ) |  |

void fvm_periodicity_get_matrix | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | tr_id,
|  | double | matrix[3][4]
| ) |  |

int fvm_periodicity_get_n_levels | ( | const fvm_periodicity_t * | this_periodicity | ) |

int fvm_periodicity_get_n_transforms | ( | const fvm_periodicity_t * | this_periodicity | ) |

void fvm_periodicity_get_parent_ids | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | tr_id,
|  | int | parent_ids[2]
| ) |  |

int fvm_periodicity_get_reverse_id | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | tr_id
| ) |  |

void fvm_periodicity_get_tr_level_idx | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | tr_level_index[4]
| ) |  |

int fvm_periodicity_get_transform_id | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | external_num,
|  | int | direction
| ) |  |

fvm_periodicity_type_t fvm_periodicity_get_type | ( | const fvm_periodicity_t * | this_periodicity,
|  | int | tr_id
| ) |  |

## Variable Documentation

const char* fvm_periodicity_type_name[]